interactions:
- request:
    body: '{"messages":[{"role":"system","content":"You are Researcher. You''re an
      expert researcher, specialized in technology, software engineering, AI and startups.
      You work as a freelancer and is now working on doing research and analysis for
      a new customer.\nYour personal goal is: Make the best research and analysis
      on content about AI and AI agents"},{"role":"user","content":"\nCurrent Task:
      Write a test task\n\nThis is the expected criteria for your final answer: Test
      output\nyou MUST return the actual complete content as the final answer, not
      a summary."}],"model":"gpt-4.1-mini","tool_choice":"auto","tools":[{"type":"function","function":{"name":"another_test_tool","description":"Another
      test tool","strict":true,"parameters":{"properties":{"query":{"description":"Query
      to process","title":"Query","type":"string"}},"required":["query"],"type":"object","additionalProperties":false}}}]}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '892'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.12
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-DJVYArMj7gxUpliUsjoQOzDxaw0Ta\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1773541882,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Test Task: \\n\\nWrite a program in
        your preferred programming language that accomplishes the following:\\n\\n1.
        Accepts a list of integers as input.\\n2. Filters the list to include only
        prime numbers.\\n3. Sorts the filtered prime numbers in ascending order.\\n4.
        Outputs the sorted list of prime numbers.\\n\\nRequirements:\\n- Provide the
        complete source code.\\n- Include comments explaining the logic.\\n- Ensure
        the code handles invalid inputs gracefully.\\n- Test the program with at least
        three different input sets and show the outputs.\\n\\nExample:\\n\\nInput:
        [12, 7, 5, 18, 11, 3, 20]\\nOutput: [3, 5, 7, 11]\\n\\nPlease provide the
        full code along with sample input and output for verification.\",\n        \"refusal\":
        null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n
        \     \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\":
        147,\n    \"completion_tokens\": 157,\n    \"total_tokens\": 304,\n    \"prompt_tokens_details\":
        {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_e76a310957\"\n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9dc819faed93433f-EWR
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Sun, 15 Mar 2026 02:31:26 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '3681'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
